Function
sequenceId
Gets the sequence id that is associated with this vertex descriptor or with a sequence of a fragment.
sequenceId(g, v)
sequenceId(f,seqNum)
Include Headers
seqan/graph_align.h
Parameters

g | An alignment graph. Types: Alignment Graph
v | A vertex descriptor. Types: VertexDescriptor
f | A fragment. Types: Fragment
seqNum | The sequence number for which the id should be retrieved. Remarks: Note that Fragment stores information about exactly two sequences which can be accessed with seqNum 0 or 1, but whose ids may differ from their seqNum.

Return Values
The sequence id.
Member of
Alignment Graph, Fragment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58